<?php
/**
 * The template part for top header
 *
 * @package VW Fitness Gym 
 * @subpackage vw-fitness-gym
 * @since VW Fitness Gym 1.0
 */
?>

<div id="topbar">
  <div class="container">
    <div class="row">
      <div class="col-lg-3 col-md-3">
        <div class="logo">
          <div class="logo-box">
            <?php if( has_custom_logo() ){ vw_fitness_gym_the_custom_logo();
              }else{ ?>
              <div class="logo-inner">
                <h1><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
                <?php $description = get_bloginfo( 'description', 'display' );
                if ( $description || is_customize_preview() ) : ?>
                <p class="site-description"><?php echo esc_html($description); ?></p>
              </div>
            <?php endif; } ?>
          </div>
        </div>
      </div>
      <div class="col-lg-3 col-md-3">
        <?php if( get_theme_mod( 'vw_fitness_gym_phone_number') != '' ) { ?>
          <span class="call-info"><i class="fas fa-phone"></i><?php echo esc_html(get_theme_mod('vw_fitness_gym_phone_number',''));?></span>
        <?php }?>
      </div>
      <div class="col-lg-3 col-md-3">
        <?php if( get_theme_mod( 'vw_fitness_gym_email_address') != '' ) { ?>
          <span><i class="fas fa-envelope-open"></i><?php echo esc_html(get_theme_mod('vw_fitness_gym_email_address',''));?></span>
        <?php }?>
      </div>
      <div class="col-lg-3 col-md-3">
       <?php dynamic_sidebar('social-widgets'); ?>
      </div>
    </div>
  </div>
</div>